> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a wallet



## OpenAPI

````yaml /openapi.json post /wallets
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /wallets:
    post:
      tags:
        - wallets
      summary: Create a wallet
      operationId: Wallets.Web.Controller.create_wallet
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWalletParams'
        description: Wallet params
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletResponse'
          description: Wallet
        '400':
          $ref: '#/components/responses/bad_request'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
      callbacks: {}
components:
  schemas:
    CreateWalletParams:
      description: Create wallet params
      example:
        currency: USD
        customer_id: 7da75a46-a1bc-11ee-9a32-560f156a658b
      properties:
        currency:
          description: Wallet currency
          type: string
        customer_id:
          description: Customer ID
          type: string
      required:
        - currency
        - customer_id
      title: CreateWalletParams
      type: object
    WalletResponse:
      description: Response schema for wallet
      properties:
        data:
          $ref: '#/components/schemas/WalletDetails'
      title: WalletResponse
      type: object
    WalletDetails:
      description: Transaction details
      example:
        account_id: f55ca88c-71aa-4dab-a10a-4d818c11e8e6
        balance:
          amount: 0
          currency: USD
        customer_id: a08bf5a3-8459-4e65-a5bb-34a1feef94cf
        events:
          - action: create
            id: 6a2a5833-609d-4dff-a4e6-0eaf452d7826
            inserted_at: '2025-07-24T08:08:07Z'
            reason: null
            wallet_id: 55a76a42-ed3a-4d0b-b74c-2887d64612f6
        id: 3d2e3f3e-3b3c-4907-a4fd-e241203440d7
        payment_methods: []
        status: active
      properties:
        account_id:
          description: Account Id
          type: string
        balance:
          description: Wallet balance
          type: integer
        currency:
          description: Wallet Currency
          type: string
        customer_id:
          description: Customer Id
          type: string
        events:
          description: Wallet events
          items:
            $ref: '#/components/schemas/WalletEvent'
          type: array
        id:
          description: Id
          type: string
        payment_methods:
          description: payment methods
          items: 4c34c4b8-6796-4063-a09d-e144eb05ce1a
          type: array
        status:
          enum:
            - active
            - deleted
            - frozen
          type: string
      title: WalletDetails
      type: object
    WalletEvent:
      description: A Wallet event
      nullable: true
      properties:
        action:
          enum:
            - freeze
            - unfreeze
            - delete
            - restore
            - create
          type: string
        id: f452e929-6d19-4ef4-bafe-2de472bc8e07
        inserted_at:
          format: date-time
          type: string
        reason:
          nullable: true
          type: string
        wallet_id: e1d2508e-366f-4021-a9e7-44b07d000967
      title: WalletEvent
      type: object
  responses:
    bad_request:
      description: Bad Request
    unprocessable_entity:
      content:
        application/json:
          schema:
            type: object
      description: Unprocessable Entity

````